BMA EHR API Document

Loading...
Searching...
No Matches
Protected Member Functions | List of all members
BMA.EHR.Domain.Common.BaseController Class Reference
Inheritance diagram for BMA.EHR.Domain.Common.BaseController:

## Protected Member Functions
virtual ActionResult< ResponseObject > | Success (string message, object? result=null)
virtual ActionResult< ResponseObject > | Success (object? result=null)
virtual ActionResult< ResponseObject > | Error (string message, string result, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, string message, int statusCode=StatusCodes.Status500InternalServerError)
virtual ActionResult< ResponseObject > | Error (Exception exception, int statusCode=StatusCodes.Status500InternalServerError)

## Member Function Documentation

## ◆ Error() [1/4]

virtual ActionResult< ResponseObject > BMA.EHR.Domain.Common.BaseController.Error | ( | Exception | exception,
|  | int | statusCode = `StatusCodes::Status500InternalServerError`
| ) |  |
| inline protected virtual

## ◆ Error() [2/4]

virtual ActionResult< ResponseObject > BMA.EHR.Domain.Common.BaseController.Error | ( | Exception | exception,
|  | string | message,
|  | int | statusCode = `StatusCodes::Status500InternalServerError`
| ) |  |
| inline protected virtual

## ◆ Error() [3/4]

virtual ActionResult< ResponseObject > BMA.EHR.Domain.Common.BaseController.Error | ( | string | message,
|  | int | statusCode = `StatusCodes::Status500InternalServerError`
| ) |  |
| inline protected virtual

## ◆ Error() [4/4]

virtual ActionResult< ResponseObject > BMA.EHR.Domain.Common.BaseController.Error | ( | string | message,
|  | string | result,
|  | int | statusCode = `StatusCodes::Status500InternalServerError`
| ) |  |
| inline protected virtual

## ◆ Success() [1/2]

virtual ActionResult< ResponseObject > BMA.EHR.Domain.Common.BaseController.Success | ( | object? | result = `null` | ) |
| inline protected virtual

## ◆ Success() [2/2]

virtual ActionResult< ResponseObject > BMA.EHR.Domain.Common.BaseController.Success | ( | string | message,
|  | object? | result = `null`
| ) |  |
| inline protected virtual

The documentation for this class was generated from the following file:

- BMA.EHR.Domain/Common/BaseController.cs